## ros-humble-tf2-ros-py 0.25.3

=== debian/changelog ===
ros-humble-tf2-ros-py (0.25.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2-ros-py (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2-ros-py (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.25.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.23.0-1jammy) jammy; urgency=high

  * Drop PyKDL dependency in tf2_geometry_msgs (#509 <https://github.com/ros2/geometry2/issues/509>)
  * Contributors: Florian Vahl

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.22.0-1jammy) jammy; urgency=high

  * Add in one more destroy call that was missed in testing. (#504 <https://github.com/ros2/geometry2/issues/504>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.21.0-1jammy) jammy; urgency=high

  * Be much more careful about cleanup in the tf2_ros_py tests. (#499 <https://github.com/ros2/geometry2/issues/499>)
  * Use the correct type for BufferClient timeout_padding. (#498 <https://github.com/ros2/geometry2/issues/498>)
    It should be a duration, not a float.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2-ros-py (0.20.0-1jammy) jammy; urgency=high

  * Update maintainers to Alejandro Hernandez Cordero and Chris Lalancette (#481 <https://github.com/ros2/geometry2/issues/481>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.19.0-1jammy) jammy; urgency=high

  * Fix buffer_client.py using default timeout_padding (#437 <https://github.com/ros2/geometry2/issues/437>)
  * Contributors: Carlos Andrés Álvarez Restrepo

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.18.0-1jammy) jammy; urgency=high

  * Use underscores instead of dashes in setup.cfg. (#403 <https://github.com/ros2/geometry2/issues/403>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.17.0-1jammy) jammy; urgency=high

  * Use global namespace for TransformListener topics (#390 <https://github.com/ros2/geometry2/issues/390>)
  * Fix indentation of a comment in buffer.py (#371 <https://github.com/ros2/geometry2/issues/371>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2-ros-py (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.15.0-1jammy) jammy; urgency=high

  * Update rclpy.Rate TODO with url to issue (#324 <https://github.com/ros2/geometry2/issues/324>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette, surfertas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.14.1-1jammy) jammy; urgency=high

  * Add deprecation warnings to lookup_transform to handle the passing of the incorrect Time object. (#319 <https://github.com/ros2/geometry2/issues/319>)
  * change signature to show true arguments (#321 <https://github.com/ros2/geometry2/issues/321>)
  * Handle when None passed to qos argument in the constructor of TransformBroadcaster. (#320 <https://github.com/ros2/geometry2/issues/320>)
  * Add type hints to tf2_ros_py code(#275 <https://github.com/ros2/geometry2/issues/275>) (#315 <https://github.com/ros2/geometry2/issues/315>)
  * Contributors: surfertas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.14.0-1jammy) jammy; urgency=high

  * Clear callbacks_to_remove variable after removing (#303 <https://github.com/ros2/geometry2/issues/303>)
  * Fix cache_time None check in buffer.py (#297 <https://github.com/ros2/geometry2/issues/297>)
  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero, Matthijs den Toom, ScottMcMichael

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.13.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.13.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.13.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.13.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-humble-tf2-ros-py (0.12.4-1jammy) jammy; urgency=high




