=== debian/control ===
Source: ros-humble-tf2-ros-py
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-sensor-msgs <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-humble-tf2-ros-py
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2-msgs, ros-humble-tf2-py, ros-humble-ros-workspace
Description: This package contains the ROS Python bindings for the tf2 library
